use axum::{
    Router,
    routing::put,
    routing::post,
    routing::get,
};

use crate::utils::db_pool::AppState;
use crate::chat::handlers::*;





pub fn chat_routes() -> Router<AppState> {

    Router::new()
        .route("/create_conversation", post (create_conversation)) 
        .route("/add_users_conv", put(add_user_to_conv))
        .route("/send_message", post(send_message))
        .route("/get_conv", get(get_convs))
        .route("/get_message", get(get_message))
        .route("/hotel_users", get(get_hotel_users))
        
    }